classification
Title: parser module docs missing second example
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Devin Jeanpierre, SahilC, Vipul.Sharma, berker.peksag, docs@python, python-dev
Priority: normal Keywords: easy, patch

Created on 2015-01-26 07:31 by Devin Jeanpierre, last changed 2016-08-08 10:06 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch SahilC, 2015-02-21 15:38 Updated seealso section to include link. review
Messages (8)
msg234716 - (view) Author: Devin Jeanpierre (Devin Jeanpierre) * Date: 2015-01-26 07:31
The port to reST missed the second example: https://docs.python.org/release/2.5/lib/node867.html

This is still referred to in the docs, so it is not deliberate. For example, the token module docs say "The second example for the parser module shows how to use the symbol module": https://docs.python.org/3.5/library/token.html#module-token

There is no second example, nor any use of the symbol module, in the docs: https://docs.python.org/3.5/library/parser.html
msg234717 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-01-26 08:03
The second example was removed in https://hg.python.org/cpython/rev/19ca70b463c5 It would be better to just update the "see also" note in the token documentation.
msg234805 - (view) Author: Vipul Sharma (Vipul.Sharma) * Date: 2015-01-27 02:42
Can I work on this ? This would be my first contribution here also it looks good for a beginner
msg234806 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-01-27 02:48
Welcome, please go ahead and send a patch. Thanks!
msg234818 - (view) Author: Vipul Sharma (Vipul.Sharma) * Date: 2015-01-27 12:30
Should I just remove the "See also" segment or just update its content like "See also: module parser.. Provides an interface to Python’s internal parser and byte-code compiler" ?
msg236368 - (view) Author: Sahil Chelaramani (SahilC) * Date: 2015-02-21 15:38
A patch for this bug. Please let me know if I have to change something. First patch, please be kind :)
msg272157 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-08-08 10:06
New changeset b479e74f7706 by Berker Peksag in branch '3.5':
Issue #23322: Remove outdated reference to an example in parser docs
https://hg.python.org/cpython/rev/b479e74f7706

New changeset 099fd7954941 by Berker Peksag in branch 'default':
Issue #23322: Merge from 3.5
https://hg.python.org/cpython/rev/099fd7954941
msg272158 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-08-08 10:06
Thanks, Sahil.
History
Date User Action Args
2016-08-08 10:06:50berker.peksagsetstatus: open -> closed
versions: + Python 3.6, - Python 3.4
type: behavior
messages: + msg272158

resolution: fixed
stage: needs patch -> resolved
2016-08-08 10:06:13python-devsetnosy: + python-dev
messages: + msg272157
2015-02-21 15:38:06SahilCsetfiles: + mywork.patch

nosy: + SahilC
messages: + msg236368

keywords: + patch
2015-01-27 12:30:53Vipul.Sharmasetmessages: + msg234818
2015-01-27 02:48:36berker.peksagsetmessages: + msg234806
2015-01-27 02:42:22Vipul.Sharmasetnosy: + Vipul.Sharma
messages: + msg234805
2015-01-26 08:03:38berker.peksagsetversions: - Python 3.2, Python 3.3
nosy: + berker.peksag

messages: + msg234717

keywords: + easy
stage: needs patch
2015-01-26 07:31:17Devin Jeanpierrecreate